// test.cpp - Aplicación
#include <iostream>
#include <iomanip>
#include <string>
#include "vector.h"
using namespace std;
/*
template<class T> void visualizar(Vector<T>&);

int main()
{
  Vector<double> vector(5);
  
  for (int i = 0; i < vector.longitud(); i++)
    vector[i] = i+1;
  visualizar(vector);
}

template<class T> void visualizar(Vector<T>& v)
{
  int ne = v.longitud();
  for (int i = 0; i < ne; i++)
    cout << setw(7) << v[i];
  cout << "\n\n";
}
*/
struct elemento
{
  string nombre;
  long telefono;
};

int main()
{
  Vector<elemento> vector(3); // crea una matriz de estructuras

  for (int i = 0; i < vector.longitud(); i++)
  {
    cout << "Nombre:    "; getline(cin, vector[i].nombre); 
    cout << "Teléfono:  "; cin >> vector[i].telefono; cin.ignore();
  }

  for (int i = 0; i < vector.longitud(); i++)
  {
    cout << "Nombre:    " << vector[i].nombre << endl;
    cout << "Teléfono:  " << vector[i].telefono << endl;
  }
  system("pause");
}

